import { fileURLToPath, URL } from 'node:url';

import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';
import vueDevTools from 'vite-plugin-vue-devtools';

export default defineConfig({
  plugins: [vue(), vueDevTools()],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url)),
      '@icons': fileURLToPath(new URL('./src/icons', import.meta.url)),
      '@helpers': fileURLToPath(new URL('./src/common/helpers', import.meta.url)),
      '@interfaces': fileURLToPath(new URL('./src/common/interfaces', import.meta.url)),
      '@stories': fileURLToPath(new URL('./src/stories', import.meta.url)),
    },
  },
});
